Download it now!
Bug 115691 - Automatic preview of custom animation throws focus out of the effects list
Summary: Automatic preview of custom animation throws focus out of the effects list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.3.0
Keywords: implementationError
: 102060 (view as bug list)
Depends on:
Blocks: 87813
  Show dependency treegraph
 
Reported: 2018-02-13 17:48 UTC by Buovjaga
Modified: 2019-01-01 01:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-02-13 17:48:12 UTC
1. Add shape, select it
2. Open custom anim deck in Sidebar, add an effect and click in the effects list
3. Try typing a letter in order to jump to an effect starting with the letter

The preview has moved focus to the shape and your typing appears in the shape's text box.
Disable automatic preview to see it working properly.

Tagging as implementationError because it has behaved this way since the effects were moved out of the separate dialog.
Comment 1 Buovjaga 2018-02-13 17:48:40 UTC
First reported in bug 115146
Comment 2 Jim Raykowski 2018-02-13 21:15:36 UTC
Anyone working on this one?
Comment 3 Buovjaga 2018-02-14 07:43:07 UTC
(In reply to Jim Raykowski from comment #2)
> Anyone working on this one?

No one is working on this. I was secretly hoping you would get interested in the topic :)

There are several tasks for further tweaks: https://bugs.documentfoundation.org/showdependencytree.cgi?id=103437&hide_resolved=1

I am not sure, if all the things mentioned in the original feature request as comments have been fixed (as the report is still NEW): bug 87813
It would be best to sync with Yousuf on those.
Comment 4 Jim Raykowski 2018-02-14 16:40:12 UTC
Buovjaga, Thanks for the link to the dependency bugs. 

Here is a patch for this bug issue:
https://gerrit.libreoffice.org/#/c/49744/
Comment 5 Buovjaga 2018-02-14 17:36:05 UTC
(In reply to Jim Raykowski from comment #4)
> Buovjaga, Thanks for the link to the dependency bugs. 
> 
> Here is a patch for this bug issue:
> https://gerrit.libreoffice.org/#/c/49744/

Cherry-picked, tested and confirmed the fix - sweet!
Comment 6 Jim Raykowski 2018-02-14 21:39:15 UTC
(In reply to Buovjaga from comment #5)
> (In reply to Jim Raykowski from comment #4)
> > Buovjaga, Thanks for the link to the dependency bugs. 
> > 
> > Here is a patch for this bug issue:
> > https://gerrit.libreoffice.org/#/c/49744/
> 
> Cherry-picked, tested and confirmed the fix - sweet!

Thanks for testing and the dependency tree bug list thing. I didn't know about that.
Comment 7 Commit Notification 2018-02-15 11:54:01 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf10acd917dab972b461960720cd044527e22f16

tdf#115691 restore focus to sidebar animation panel after automatic...

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2018-02-15 12:05:43 UTC
(In reply to Buovjaga from comment #3)
> It would be best to sync with Yousuf on those.

I have to take that back as Yousuf has left the project :( https://lists.freedesktop.org/archives/libreoffice-qa/2018-February/010353.html
Comment 9 Katarina Behrens (Inactive) 2018-02-22 22:24:37 UTC
*** Bug 102060 has been marked as a duplicate of this bug. ***
Comment 10 Jim Raykowski 2018-12-26 09:21:55 UTC
I have reopened because focus does not remain in the effects list when the sidebar is undocked for gtk2 and gtk3 builds.

Here is a patch that keeps focus when sidebar is dock or undocked for gtk2 and gtk3 builds. Unable to test windows or mac.

https://gerrit.libreoffice.org/#/c/65618/
Comment 11 Buovjaga 2018-12-26 14:29:16 UTC
(In reply to Jim Raykowski from comment #10)
> I have reopened because focus does not remain in the effects list when the
> sidebar is undocked for gtk2 and gtk3 builds.
> 
> Here is a patch that keeps focus when sidebar is dock or undocked for gtk2
> and gtk3 builds. Unable to test windows or mac.
> 
> https://gerrit.libreoffice.org/#/c/65618/

Seems to be working with an undocked sidebar.

Version: 6.3.0.0.alpha0+
Build ID: 3bc65fe56d726de2b6efe229daedb634df940ce8
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Comment 12 Jim Raykowski 2018-12-26 16:32:29 UTC
Hi Buovjaga, I should have asked for confirmation of this finding before presenting a patch. Did you mean it works for you without new patch or did you test the new patch and it worked? My fault for the confusion here.
Comment 13 Buovjaga 2018-12-26 16:42:05 UTC
(In reply to Jim Raykowski from comment #12)
> Hi Buovjaga, I should have asked for confirmation of this finding before
> presenting a patch. Did you mean it works for you without new patch or did
> you test the new patch and it worked? My fault for the confusion here.

I built with your patch.

Now that you mention it, it is working fine with an undocked sidebar already with 6.1.4

Arch Linux 64-bit
Version: 6.1.4.2
Build ID: 6.1.4-1
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Comment 14 Commit Notification 2018-12-29 06:26:27 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c3c2ac6afad6b154d83dbe555f5b276e5909718b%5E%21

tdf#115691 Keep focus in effects list after preview

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Heiko Tietze 2018-12-31 09:48:01 UTC
Jim, does your patch solves the issue now?
Comment 16 Jim Raykowski 2019-01-01 01:37:41 UTC
Resolved Fixed

Version: 6.3.0.0.alpha0+
Build ID: 04e41ba2d86921ce17214e2b70a277df7cf5f8ed
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded